This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 767082 - Review Request: wxpropgrid - A property sheet control for wxWidgets
Review Request: wxpropgrid - A property sheet control for wxWidgets
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 585719 737401
  Show dependency treegraph
 
Reported: 2011-12-13 02:41 EST by Volker Fröhlich
Modified: 2012-02-12 13:06 EST (History)
6 users (show)

See Also:
Fixed In Version: wxpropgrid-1.4.15-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-05 16:51:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
loganjerry: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Volker Fröhlich 2011-12-13 02:41:11 EST
Spec URL: http://www.geofrogger.net/review/wxpropgrid.spec
SRPM URL: http://www.geofrogger.net/review/wxpropgrid-1.4.15-1.fc16.src.rpm
Description:

wxPropertyGrid is a property sheet control for wxWidgets. In other words, it is a specialized two-column grid for editing properties such as strings, numbers, flagsets, string arrays, and colors.

[makerpm@lenovo-muw ~]$ rpmlint wxprop*
wxpropgrid.x86_64: W: spelling-error Summary(en_US) wxWidgets -> widgets
wxpropgrid.x86_64: W: spelling-error %description -l en_US wxPropertyGrid -> expropriated
wxpropgrid.x86_64: W: spelling-error %description -l en_US wxWidgets -> widgets
wxpropgrid.x86_64: W: spelling-error %description -l en_US flagsets -> flag sets, flag-sets, flatlets
wxpropgrid.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwxcode_gtk2u_propgrid-2.8.so.0.0.0 linux-vdso.so.1
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3581735
Comment 1 Jerry James 2012-01-26 18:54:17 EST
I'll take this review.
Comment 2 Jerry James 2012-01-27 15:33:30 EST
LEGEND:
+: OK
-: must be fixed
=: should be fixed (at your discretion)
N: not applicable

MUST:
[=] rpmlint output:
wxpropgrid.x86_64: W: spelling-error Summary(en_US) wxWidgets -> widgets
wxpropgrid.x86_64: W: spelling-error %description -l en_US wxPropertyGrid -> expropriated
wxpropgrid.x86_64: W: spelling-error %description -l en_US wxWidgets -> widgets
wxpropgrid.x86_64: W: spelling-error %description -l en_US flagsets -> flag sets, flag-sets, flatlets
wxpropgrid.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwxcode_gtk2u_propgrid-2.8.so.0.0.0 linux-vdso.so.1
2 packages and 1 specfiles checked; 0 errors, 5 warnings.

Those are all innocuous.
[+] follows package naming guidelines
[+] spec file base name matches package name
[+] package meets the packaging guidelines
[+] package uses a Fedora approved license
[+] license field matches the actual license
[N] license file is included in %doc: upstream does not ship it.
[+] spec file is in American English
[+] spec file is legible
[+] sources match upstream: md5sum is f44b5cd6fd60718bacfabbf7994f1e93 for both
[+] package builds on at least one primary arch (tried x86_64)
[N] appropriate use of ExcludeArch
[+] all build requirements in BuildRequires
[N] spec file handles locales properly
[+] ldconfig in %post and %postun
[+] no bundled copies of system libraries
[+] no relocatable packages
[+] package owns all directories that it creates
[+] no files listed twice in %files
[+] proper permissions on files
[+] consistent use of macros
[+] code or permissible content
[N] large documentation in -doc
[+] no runtime dependencies in %doc
[+] header files in -devel
[N] static libraries in -static
[+] .so in -devel
[+] -devel requires main package
[+] package contains no libtool archives
[N] package contains a desktop file, uses desktop-file-install
[+] package does not own files/dirs owned by other packages
[+] all filenames in UTF-8

SHOULD:
[+] query upstream for license text: has been done, as noted in the spec file.
[N] description and summary contain available translations
[+] package builds in mock: tried fedora-rawhide-i386
[+] package builds on all supported arches: tried i386 and x86_64
[+] package functions as described: light testing only
[+] sane scriptlets
[+] subpackages require the main package
[N] placement of pkgconfig files
[N] file dependencies versus package dependencies
[N] package contains man pages for binaries/scripts

Everything looks great.  This package is APPROVED.
Comment 3 Volker Fröhlich 2012-01-27 16:42:24 EST
Thanks again!
Comment 4 Volker Fröhlich 2012-01-27 16:51:00 EST
New Package SCM Request
=======================
Package Name: wxpropgrid
Short Description: A property sheet control for wxWidgets
Owners: volter
Branches: f15 f16 el6
InitialCC:
Comment 5 Jon Ciesla 2012-01-27 20:43:43 EST
Git done (by process-git-requests).
Comment 6 Alain Portal 2012-01-28 04:11:04 EST
Volker, could you please request for EPEL branch?
Your package build fine in EPEL:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3741465
and I'll need it to package wxformbuilder in EPEL.
Thanks.
Comment 7 Volker Fröhlich 2012-01-28 04:40:46 EST
Alain, please see comment 4.
Comment 8 Alain Portal 2012-01-28 05:14:03 EST
(In reply to comment #7)
> Alain, please see comment 4.

Sorry for the noise, I really need to change my glasses ;-)
Thanks for this package!

And feel free to take some others bundled libraries in wxformbuilder ;-)
Comment 9 Fedora Update System 2012-01-28 05:52:17 EST
wxpropgrid-1.4.15-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/wxpropgrid-1.4.15-1.el6
Comment 10 Fedora Update System 2012-01-28 05:52:25 EST
wxpropgrid-1.4.15-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/wxpropgrid-1.4.15-1.fc15
Comment 11 Fedora Update System 2012-01-28 05:52:33 EST
wxpropgrid-1.4.15-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/wxpropgrid-1.4.15-1.fc16
Comment 12 Fedora Update System 2012-01-28 12:48:55 EST
wxpropgrid-1.4.15-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 13 Fedora Update System 2012-02-05 16:51:22 EST
wxpropgrid-1.4.15-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 14 Fedora Update System 2012-02-05 16:53:24 EST
wxpropgrid-1.4.15-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 15 Fedora Update System 2012-02-12 13:06:12 EST
wxpropgrid-1.4.15-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.